OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ShapeAspectTransition Class Reference

Representation of STEP entity ShapeAspectTransition
.

`#include <StepRepr_ShapeAspectTransition.hxx>`

Inheritance diagram for StepRepr_ShapeAspectTransition:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_ShapeAspectTransition ()
| Empty constructor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ShapeAspectTransition::StepRepr_ShapeAspectTransition | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_ShapeAspectTransition::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ShapeAspectRelationship.

The documentation for this class was generated from the following file:

- StepRepr_ShapeAspectTransition.hxx